function [nodeList, numNodes] = extractPath(S, myPath)
% travels up the path from myInd to the root of the tree
% returns the indices of all nodes encountered 
% author: db

    % check args and set defaults
    if (nargin ~= 2)
        error('extractPath: insufficient parameters!\n');
    end
    
    % initialize path vector
    % is there any way to have a guess of the path length?
    % for now use number of regions which is surely an upper bound
    % a tighter upper bound would help!    
    nodeList = zeros(numel(S.regions), 1, 'uint16');
    
    % initialize node index
    myInd = S.leaves(myPath);
    numNodes = 0;
    
    % travel up the tree
    while (myInd ~= S.root)
        numNodes = numNodes+1;
        nodeList(numNodes) = myInd;
        myInd = getParent(S, myInd);
    end
    numNodes = numNodes+1;
    nodeList(numNodes) = S.root;
    nodeList = nodeList(1:numNodes);
end
