function S = updateAllStones(S)
% finds the region ids for all of the regions with value = 1 and -1. 
% Use this to make S.stone and S.notstone vectors
%
% usage: S = updateAllStones(S);
% author: pn - db

    % check args and set defaults
    if (nargin < 1)
        error('updateAllStones: insufficient parameters!\n');
    end

    S.stones = uint16(find(S.labels == 1));
    S.notstones = uint16(find(S.labels == -1));

end